<?php

require "UserController.php";

class FrontController{

    private AltoRouter $router;
    private UserController $userControler;


    public function FrontController(AltoRouter $router, UserController $userControler){
        $this->router = $router;
        $this->userControler = $userControler;
    }

    public function main() {
        $this->toRoute();

    }

    private function toRoute(){
        $this->router->map("GET", "/", fn() => $this->userControler->home());
//        $this->router->map("POST", "/submit", fn() => $sampleFormController->submitForm($_POST));
//        $this->router->map("GET", "/twig", fn() => $sampleFormController->displayFormTwig());
//        $this->router->map("POST", "/submit-twig", fn() => $sampleFormController->submitFormTwig($_POST));

        $match = $this->router->match();

        // À remplacer par l'appel du contrôler d'erreur
        if ($match == null) {
            // TODO redirect to a 404 not found page instead (issue #1)
            http_response_code(404);
            echo "Page non trouvée";
            exit(1);
        }

        call_user_func($match['target']);
    }


}